Skip to content

Extended warranty quote

Warranty quoting (choosing a plan on the product page or in the cart) and the cart / checkout shipping quote use the same endpoint:

POST /go/packageOpenApiWeb/OpenApiV2/CalcPrice

The request and response are identical to the cart quote — see:

Cart / checkout quote and risk check

For the full field reference see API reference · CalcPrice.

When calling, include the protected items in orderInfo.itemList and select the warranty plan via ppVariant.properties (e.g. "Plan ID": "2 Years"). Read the result from data.ppComputeResult (oSkuId, ppVariants, price).